Справка

О системе

О системе

Это инфраструктура электронной подписи: она выдаёт сотрудникам государственных органов сертификаты, позволяет подписывать ими документы и даёт любому человеку возможность проверить такую подпись.

Устройство

Из чего состоит система

Удостоверяющие центры

Их два, и они выстроены цепочкой. Корневой — вершина доверия; он не выдаёт сертификаты людям, а подписывает только второй центр. Это делается ради безопасности: чем реже используется самый главный ключ, тем меньше поводов его скомпрометировать. Выпускающий — рабочий: именно он выдаёт сертификаты сотрудникам и службе меток времени.

Разделение обязанностей

Заявку оформляет один сотрудник, утверждает её и выпускает сертификат — другой, а журнал операций читает третий, который сам ничего изменить не может. Свою собственную заявку утвердить нельзя даже при наличии прав.

Журнал операций

Каждый выпуск и каждый отзыв записываются в журнал, связанный цепочкой контрольных сумм: удалить или подменить запись задним числом нельзя — разрыв цепочки станет виден.

Служба меток времени

Независимо заверяет момент подписания, чтобы подпись оставалась проверяемой даже после того, как сертификат подписанта перестанет действовать.

Подробнее о службе

Основания

Применяемые стандарты

Система построена на международных стандартах, а не на собственных изобретениях, — поэтому её подписи можно проверить сторонними программами, а не только нашими.

RFC 5280 (X.509)Формат сертификатов и списков отозванных, построение цепочки доверия
RFC 5652 (CMS)Формат самой электронной подписи
ETSI EN 319 142 (PAdES)Подпись внутри PDF, уровни B-B и B-T
RFC 6960 (OCSP)Запрос статуса сертификата в реальном времени
RFC 3161 (TSP)Метки времени
PKCS#10, PKCS#12, RFC 8018Запрос на сертификат и защищённый контейнер с ключом
FIPS 180-4 (SHA-2), FIPS 186Хэширование SHA-256 и подпись RSA
FIPS 197 (AES)Шифрование контейнеров с ключами, AES-256

Устаревшие алгоритмы не применяются нигде: ни MD5, ни SHA-1, ни RSA короче 2048 бит, ни режим шифрования ECB.

Ключ попал к постороннему?

Действовать нужно немедленно — от скорости обращения зависит, сколько документов попадёт под сомнение.

Что делать